## org.apache.commons.math.random
Class UncorrelatedRandomVectorGenerator

    java.lang.Object
      org.apache.commons.math.random.UncorrelatedRandomVectorGenerator

All Implemented Interfaces:
  RandomVectorGenerator

    public class UncorrelatedRandomVectorGenerator

extends java.lang.Object
implements RandomVectorGenerator

A `RandomVectorGenerator` that generates vectors with uncorrelated components. Components of generated vectors follow (independent) Gaussian distributions, with parameters supplied in the constructor.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 11:32:50 -0400 (Sun, 06 Sep 2009) $

Field Summary
`private NormalizedRandomGenerator` `generator` Underlying scalar generator.
`private double[]` `mean` Mean vector.
`private double[]` `standardDeviation` Standard deviation vector.

Constructor Summary
`UncorrelatedRandomVectorGenerator(double[] mean, double[] standardDeviation, NormalizedRandomGenerator generator)` Simple constructor.
`UncorrelatedRandomVectorGenerator(int dimension, NormalizedRandomGenerator generator)` Simple constructor.

Method Summary
`double[]` `nextVector()` Generate an uncorrelated random vector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generator

    private final NormalizedRandomGenerator generator

  Underlying scalar generator.

### mean

    private final double[] mean

  Mean vector.

### standardDeviation

    private final double[] standardDeviation

  Standard deviation vector.

Constructor Detail

### UncorrelatedRandomVectorGenerator

    public UncorrelatedRandomVectorGenerator(double[] mean,
                                             double[] standardDeviation,
                                             NormalizedRandomGenerator generator)

  Simple constructor.

  Build an uncorrelated random vector generator from its mean and standard deviation vectors.

  Parameters:
    `mean` - expected mean values for each component
    `standardDeviation` - standard deviation for each component
    `generator` - underlying generator for uncorrelated normalized components

### UncorrelatedRandomVectorGenerator

    public UncorrelatedRandomVectorGenerator(int dimension,
                                             NormalizedRandomGenerator generator)

  Simple constructor.

  Build a null mean random and unit standard deviation uncorrelated vector generator

  Parameters:
    `dimension` - dimension of the vectors to generate
    `generator` - underlying generator for uncorrelated normalized components

Method Detail

### nextVector

    public double[] nextVector()

  Generate an uncorrelated random vector.

  Specified by:
    `nextVector` in interface `RandomVectorGenerator`
  Returns:
    a random vector as a newly built array of double

Copyright (c) 2003-2010 Apache Software Foundation